vaseboot/tests/zfs_zstd_test.in

31 lines
652 B
Plaintext

#!@BUILD_SHEBANG@
set -e
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
fi
if [ "$EUID" != 0 ] ; then
exit 99
fi
if ! which zpool >/dev/null 2>&1; then
echo "zpool not installed; cannot test zfs."
exit 99
fi
if ! which zfs >/dev/null 2>&1; then
echo "zfs not installed; cannot test zfs."
exit 99
fi
# If ZFS ZSTD compression is not supported (as is the case with zfs-fuse
# for example at the time of writing) then fail early the ZSTD compression testing.
if ! zfs get 2>&1 | grep -q "compression.*zstd"; then
echo "zfs zstd compression not supported; cannot test zfs zstd."
exit 99
fi
"@builddir@/VasEBoot-fs-tester" zfs_zstd